DtMmdbOpenInfoLib(library call)

NAME
DtMmdbOpenInfoLib — opens an infolib for service

SYNOPSIS

#include &<DtMmdb.h>
int DtMmdbOpenInfoLib(
const char* infolib_path,
const char* selected_base_name,
DtMmdbBool delayed_infolib_init);

DESCRIPTION

The DtMmdbOpenInfoLib function opens an infolib for user access and returns the descriptor for the infolib. It makes the database engine ready to provide service for an infolib. To obtain information about an infolib, use the DtMmdbInfoLibGetInfo function.

ARGUMENTS

infolib_path
    Specifies the absolute path for the infolib.

selected_base_name
    Specifies a single bookcase to be accessed in this session. A NULL value indicates that all bookcases will be accessed.

delayed_infolib_init
    Specifies whether the bookcase activation will be delayed until access time. If you specify DtMmdbTrue, DtMmdbOpenInfoLib postpones the activation. This is useful when you want faster Dtinfo Database Engine initialization.

RETURN VALUE

-1  The initialization failed.

>=0 The initialization succeeded. The returned integer represents a valid infolib descriptor.

EXAMPLE

The following shows how a DtMmdbOpenInfoLib call might be coded.

DtMmdbOpenInfoLib(myInfoLibPath, "myBookCase", DtMmdbFalse);

SEE ALSO

DtMmdbInfoLibGetInfo(3), DtMmdbCloseInfoLib(3)